      subroutine gosleep(isecs)
C
#ifdef __NAGWARE
      use f90_unix_proc
#endif
C
      integer isecs                     ! number of seconds to sleep
C
C  this subroutine causes the program to go to sleep for `isecs' seconds!
C
      call csleep( max(0,isecs) )
      return
      end
